Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC

Bug 530780

Summary: gnome-base/gnome-session-3.12.1-r1, xf86-video-nouveau-1.0.11 - last_focus_time is greater than comparison timestamp - buggy client sending inaccurate timestamps - windows are moved randomly from back to foreground and vice versa
Product: Gentoo Linux Reporter: Juergen Rose <rose>
Component: [OLD] GNOMEAssignee: Gentoo Linux Gnome Desktop Team <gnome>
Status: RESOLVED TEST-REQUEST    
Severity: normal    
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://bugs.freedesktop.org/show_bug.cgi?id=86794
Whiteboard:
Package list:
Runtime testing required: ---

Description Juergen Rose 2014-11-26 16:01:32 UTC
Some hours ago the windows on my desktop are moved randomly after few seconds from back to foreground and vice versa. Often I see the desktop background image at a window position. If I click into the corresponding desktop region the window is partly refreshed.

'journal -xb' gives me the following messages:

...
Nov 26 08:16:45 impala gnome-session[31470]: Fensterverwalter-Warnung:Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x320000d (sshd_confi)
Nov 26 08:16:45 impala gnome-session[31470]: Fensterverwalter-Warnung:meta_window_activate called by a pager with a 0 timestamp; the pager needs to be fixed.
...
Nov 26 08:22:57 impala gnome-session[31470]: Fensterverwalter-Warnung:last_focus_time (49506834) is greater than comparison timestamp (49506833).  This most likely represents a buggy client sending inaccurate timestamps 
...
Nov 26 08:37:57 impala gnome-session[31470]: Fensterverwalter-Warnung:last_focus_time (50407264) is greater than comparison timestamp (50407261).  This most likely represents a buggy client sending inaccurate timestamps 
Nov 26 08:37:57 impala gnome-session[31470]: Fensterverwalter-Warnung:Log level 16: STACK_OP_RAISE_ABOVE: sibling window 0x320141f not in stack
...
Nov 26 08:48:47 impala org.a11y.Bus[30970]: Successfully activated service 'org.a11y.atspi.Registry'
Nov 26 08:48:47 impala org.a11y.atspi.Registry[30977]: SpiRegistry daemon is running with well-known name - org.a11y.atspi.Registry
Nov 26 08:48:47 impala org.a11y.atspi.Registry[30977]: ** (at-spi2-registryd:30980): WARNING **: Failed to register client: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.gnome.SessionManager was not
Nov 26 08:48:47 impala org.a11y.atspi.Registry[30977]: ** (at-spi2-registryd:30980): WARNING **: Unable to register client with session manager
Nov 26 08:48:48 impala org.a11y.Bus[30970]: g_dbus_connection_real_closed: Remote peer vanished with error: Underlying GIOStream returned 0 bytes on an async read (g-io-error-quark, 0). Exiting.
Nov 26 08:48:48 impala org.a11y.atspi.Registry[30977]: g_dbus_connection_real_closed: Remote peer vanished with error: Underlying GIOStream returned 0 bytes on an async read (g-io-error-quark, 0). Exiting.
...
Nov 26 08:54:47 impala gdm-Xorg-:0[31260]: (II) NOUVEAU(0): EDID vendor "GSM", prod id 30186
Nov 26 08:54:47 impala gdm-Xorg-:0[31260]: (II) NOUVEAU(0): Printing DDC gathered Modelines:
Nov 26 08:54:47 impala gdm-Xorg-:0[31260]: (II) NOUVEAU(0): Modeline "1280x800"x0.0   71.00  1280 1328 1360 1440  800 803 809 823 +hsync -vsync (49.3 kHz e)
Nov 26 08:54:47 impala gdm-Xorg-:0[31260]: (II) NOUVEAU(0): Modeline "2560x1600"x0.0  268.00  2560 2608 2640 2720  1600 1603 1609 1646 +hsync -vsync (98.5 kHz e)
Nov 26 08:54:50 impala gdm-Xorg-:0[31260]: (II) NOUVEAU(0): EDID vendor "GSM", prod id 30186
Nov 26 08:54:50 impala gdm-Xorg-:0[31260]: (II) NOUVEAU(0): Printing DDC gathered Modelines:
Nov 26 08:54:50 impala gdm-Xorg-:0[31260]: (II) NOUVEAU(0): Modeline "1280x800"x0.0   71.00  1280 1328 1360 1440  800 803 809 823 +hsync -vsync (49.3 kHz e)
Nov 26 08:54:50 impala gdm-Xorg-:0[31260]: (II) NOUVEAU(0): Modeline "2560x1600"x0.0  268.00  2560 2608 2640 2720  1600 1603 1609 1646 +hsync -vsync (98.5 kHz e)
Nov 26 08:54:50 impala gdm-Xorg-:0[31260]: (II) NOUVEAU(0): EDID vendor "GSM", prod id 30186
Nov 26 08:54:50 impala gdm-Xorg-:0[31260]: (II) NOUVEAU(0): Printing DDC gathered Modelines:
Nov 26 08:54:50 impala gdm-Xorg-:0[31260]: (II) NOUVEAU(0): Modeline "1280x800"x0.0   71.00  1280 1328 1360 1440  800 803 809 823 +hsync -vsync (49.3 kHz e)
Nov 26 08:54:50 impala gdm-Xorg-:0[31260]: (II) NOUVEAU(0): Modeline "2560x1600"x0.0  268.00  2560 2608 2640 2720  1600 1603 1609 1646 +hsync -vsync (98.5 kHz e)
...
Nov 26 09:01:29 impala gnome-session[31470]: Fensterverwalter-Warnung:last_focus_time (51819015) is greater than comparison timestamp (51819002).  This most likely represents a buggy client sending inaccurate timestamps 
Nov 26 09:01:36 impala gnome-session[31470]: Fensterverwalter-Warnung:Log level 8: Source ID 177019 was not found when attempting to remove it
Nov 26 09:01:36 impala gnome-session[31470]: Fensterverwalter-Warnung:Log level 8: Source ID 177026 was not found when attempting to remove it
Comment 1 Juergen Rose 2014-11-27 15:11:23 UTC
I tried now 3.17.4-gentoo with the mouveau/nv84_fence patch described in Comment 9 of Bug 528100. But again few minutes after the start of gdm the windows are moving "randomly"(?) up and down.

'dmesg' shows:
...


and 'journalctl -xb' says:
...
Nov 27 14:10:10 impala gnome-session[26999]: Fensterverwalter-Warnung:Log level 8: Source ID 650 was not found when attempting to remove it
...
Nov 27 14:10:26 impala gnome-session[26999]: Fensterverwalter-Warnung:Log level 8: Source ID 681 was not found when attempting to remove it
...
Nov 27 14:10:28 impala gnome-session[26999]: Fensterverwalter-Warnung:Log level 16: AT-SPI: Error in GetItems, sender=org.freedesktop.DBus, error=The name :1.6 was not provided by any .service files
Nov 27 14:10:28 impala gdm-Xorg-:0[26273]: (II) NOUVEAU(0): EDID vendor "GSM", prod id 30186
Nov 27 14:10:28 impala gdm-Xorg-:0[26273]: (II) NOUVEAU(0): Printing DDC gathered Modelines:
Nov 27 14:10:28 impala gdm-Xorg-:0[26273]: (II) NOUVEAU(0): Modeline "1280x800"x0.0   71.00  1280 1328 1360 1440  800 803 809 823 +hsync -vsync (49.3 kHz e)
Nov 27 14:10:28 impala gdm-Xorg-:0[26273]: (II) NOUVEAU(0): Modeline "2560x1600"x0.0  268.00  2560 2608 2640 2720  1600 1603 1609 1646 +hsync -vsync (98.5 kHz e)
Nov 27 14:10:28 impala gnome-session[26999]: Fensterverwalter-Warnung:Log level 8: Source ID 928 was not found when attempting to remove it
...
Nov 27 14:12:42 impala gnome-session[26999]: Fensterverwalter-Warnung:last_focus_time (985668) is greater than comparison timestamp (985667).  This most likely represents a buggy client sending inaccurate timestamps in messages such as _NET_ACTIVE_WINDOW.  Trying to work around...
Nov 27 14:12:42 impala gnome-session[26999]: Fensterverwalter-Warnung:Log level 16: STACK_OP_RAISE_ABOVE: sibling window 0x18004e7 not in stack
...
Nov 27 14:17:20 impala gnome-session[26999]: Fensterverwalter-Warnung:last_focus_time (1263082) is greater than comparison timestamp (1263077).  This most likely represents a buggy client sending inaccurate timestamps in messages such as _NET_ACTIVE_WINDOW.  Trying to work around...
Nov 27 14:17:20 impala gnome-session[26999]: Fensterverwalter-Warnung:Log level 16: STACK_OP_RAISE_ABOVE: sibling window 0x1801577 not in stack
Comment 2 Juergen Rose 2014-11-27 15:14:32 UTC
I forgot:

'dmesg' shows:
...
[  821.115120] zeitgeist-datah[27618]: segfault at 8 ip 00007f88a022d940 sp 00007fff34017d10 error 4 in libglib-2.0.so.0.4002.0[7f88a01a2000+134000]
[ 2246.674626] nouveau E[  PGRAPH][0000:01:00.0] TRAP ch 5 [0x003fb74000 gnome-shell[27218]]
[ 2246.674641] nouveau E[  PGRAPH][0000:01:00.0] GPC0/PROP trap: RT_PITCH_OVERRUN
[ 2246.674644] nouveau E[  PGRAPH][0000:01:00.0] x = 32, y = 0, format = 18, storage type = 0
Comment 3 Juergen Rose 2014-12-17 15:52:04 UTC
The issue does not happen with lxde.
Comment 4 Juergen Rose 2014-12-17 16:02:10 UTC
It happens also with linux-3.18.0-gentoo:

root@impala:/root(15)# uname -a
Linux impala 3.18.0-gentoo #1 SMP Tue Dec 9 11:08:05 CET 2014 x86_64 AMD Phenom(tm) II X4 965 Processor AuthenticAMD GNU/Linux
root@impala:/root(16)# journalctl -xb | grep -U2 "uggy\|focus" 
Dec 16 11:12:46 impala automount[18969]: expire_cleanup: sigchld: exp 140036542461696 finished, switching from 2 to 1
Dec 16 11:12:46 impala automount[18969]: st_ready: st_ready(): state = 2 path /net
Dec 16 11:13:38 impala gnome-session[23750]: Fensterverwalter-Warnung:last_focus_time (11413062) is greater than comparison timestamp (11413057).  This most likely represents a buggy client sending inaccurate timestamps in messages such as _NET_ACTIVE_WINDOW.  Trying to work around...
Dec 16 11:13:38 impala gnome-session[23750]: Fensterverwalter-Warnung:Log level 16: STACK_OP_RAISE_ABOVE: sibling window 0x2c00bd3 not in stack
Dec 16 11:13:47 impala automount[18969]: st_expire: state 1 path /misc
--
Dec 16 11:16:31 impala automount[18969]: expire_cleanup: sigchld: exp 140036542461696 finished, switching from 2 to 1
Dec 16 11:16:31 impala automount[18969]: st_ready: st_ready(): state = 2 path /net
Dec 16 11:17:32 impala gnome-session[23750]: Fensterverwalter-Warnung:last_focus_time (11646506) is greater than comparison timestamp (11646504).  This most likely represents a buggy client sending inaccurate timestamps in messages such as _NET_ACTIVE_WINDOW.  Trying to work around...
Dec 16 11:17:32 impala automount[18969]: st_expire: state 1 path /misc
Dec 16 11:17:32 impala automount[18969]: expire_proc: exp_proc = 140036542461696 path /misc
--
Dec 16 11:25:41 impala unknown: <audit-1327> proctitle="(ostnamed)"
Dec 16 11:25:41 impala dbus[18959]: [system] Successfully activated service 'org.freedesktop.hostname1'
Dec 16 11:25:41 impala gnome-session[23750]: Fensterverwalter-Warnung:Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x2e00010 (qthelp-4.8)
Dec 16 11:25:41 impala gnome-session[23750]: Fensterverwalter-Warnung:meta_window_activate called by a pager with a 0 timestamp; the pager needs to be fixed.
Dec 16 11:26:17 impala automount[18969]: st_expire: state 1 path /misc
--
-- 
-- The start-up result is done.
Dec 16 11:26:53 impala gnome-session[23750]: Fensterverwalter-Warnung:Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x2e00010 (qthelp-4.8)
Dec 16 11:26:53 impala gnome-session[23750]: Fensterverwalter-Warnung:meta_window_activate called by a pager with a 0 timestamp; the pager needs to be fixed.
Dec 16 11:27:32 impala automount[18969]: st_expire: state 1 path /misc
--
Dec 16 11:28:16 impala kernel: audit: type=1300 audit(1418725696.624:15): arch=c000003e syscall=272 success=yes exit=0 a0=40000000 a1=7fffeb44a7c0 a2=fffffffffffffff5 a3=22 items=0 ppid=1 pid=31999 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="(ostnamed)" exe="/usr/lib64/systemd/systemd" subj=kernel key=(null)
Dec 16 11:28:16 impala kernel: audit: type=1327 audit(1418725696.624:15): proctitle="(ostnamed)"
Dec 16 11:28:16 impala gnome-session[23750]: Fensterverwalter-Warnung:Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x2e00010 (qthelp-4.8)
Dec 16 11:28:16 impala gnome-session[23750]: Fensterverwalter-Warnung:meta_window_activate called by a pager with a 0 timestamp; the pager needs to be fixed.
Dec 16 11:28:16 impala dbus[18959]: [system] Successfully activated service 'org.freedesktop.hostname1'
--
Dec 16 11:32:57 impala (ostnamed)[32302]: <audit-1300> arch=c000003e syscall=272 success=yes exit=0 a0=40000000 a1=7fffeb44a7c0 a2=fffffffffffffff5 a3=22 items=0 ppid=1 pid=32302 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="(ostnamed)" exe="/usr/lib64/systemd/systemd" subj=kernel key=(null)
Dec 16 11:32:57 impala unknown: <audit-1327> proctitle="(ostnamed)"
Dec 16 11:32:57 impala gnome-session[23750]: Fensterverwalter-Warnung:Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x2e00010 (qthelp_wil)
Dec 16 11:32:57 impala dbus[18959]: [system] Successfully activated service 'org.freedesktop.hostname1'
Dec 16 11:32:57 impala systemd[1]: Started Hostname Service.
--
Dec 16 11:58:39 impala kernel: audit: type=1300 audit(1418727519.219:17): arch=c000003e syscall=272 success=yes exit=0 a0=40000000 a1=7fffeb44a7c0 a2=fffffffffffffff5 a3=22 items=0 ppid=1 pid=847 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="(ostnamed)" exe="/usr/lib64/systemd/systemd" subj=kernel key=(null)
Dec 16 11:58:39 impala kernel: audit: type=1327 audit(1418727519.219:17): proctitle="(ostnamed)"
Dec 16 11:58:39 impala gnome-session[23750]: Fensterverwalter-Warnung:Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x2e00010 (qthelp-4.8)
Dec 16 11:58:39 impala gnome-session[23750]: Fensterverwalter-Warnung:meta_window_activate called by a pager with a 0 timestamp; the pager needs to be fixed.
Dec 16 11:58:39 impala dbus[18959]: [system] Successfully activated service 'org.freedesktop.hostname1'
--
Dec 16 18:04:17 impala dbus[18959]: [system] Activating via systemd: service name='org.freedesktop.Avahi' unit='dbus-org.freedesktop.Avahi.service'
Dec 16 18:04:17 impala dbus[18959]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.Avahi.service': Unit dbus-org.freedesktop.Avahi.service failed to load: No such file or directory.
Dec 16 18:04:20 impala gnome-session[23750]: Fensterverwalter-Warnung:last_focus_time (36054789) is greater than comparison timestamp (36054788).  This most likely represents a buggy client sending inaccurate timestamps in messages such as _NET_ACTIVE_WINDOW.  Trying to work around...
Dec 16 18:04:21 impala dbus[18959]: [system] Activating service name='org.opensuse.CupsPkHelper.Mechanism' (using servicehelper)
Dec 16 18:04:21 impala dbus[18959]: [system] Successfully activated service 'org.opensuse.CupsPkHelper.Mechanism'
Dec 16 18:04:29 impala evolution.desktop[7987]: (evolution:7987): GLib-GObject-CRITICAL **: g_closure_unref: assertion 'closure->ref_count > 0' failed
Dec 16 18:04:45 impala gnome-session[23750]: Fensterverwalter-Warnung:last_focus_time (36080069) is greater than comparison timestamp (36080066).  This most likely represents a buggy client sending inaccurate timestamps in messages such as _NET_ACTIVE_WINDOW.  Trying to work around...
Dec 16 18:04:56 impala evolution.desktop[7987]: (evolution:7987): evolution-mail-WARNING **: ml_sort_uids_by_tree: Cannot find uid '4995' in folder 'INBOX'
Dec 16 18:04:59 impala evolution.desktop[7987]: (evolution:7987): evolution-mail-WARNING **: ml_sort_uids_by_tree: Cannot find uid '4902' in folder 'INBOX'
--
Dec 17 00:31:31 impala automount[18969]: expire_cleanup: sigchld: exp 140036542461696 finished, switching from 2 to 1
Dec 17 00:31:31 impala automount[18969]: st_ready: st_ready(): state = 2 path /net
Dec 17 00:32:19 impala gnome-session[23750]: Fensterverwalter-Warnung:last_focus_time (59334283) is greater than comparison timestamp (59334277).  This most likely represents a buggy client sending inaccurate timestamps in messages such as _NET_ACTIVE_WINDOW.  Trying to work around...
Dec 17 00:32:20 impala gnome-session[23750]: Fensterverwalter-Warnung:Log level 16: STACK_OP_RAISE_ABOVE: sibling window 0x2e0100d not in stack
Dec 17 00:32:24 impala evolution.desktop[7178]: (evolution:7178): GLib-GObject-CRITICAL **: g_closure_unref: assertion 'closure->ref_count > 0' failed
--
Dec 17 02:17:50 impala evolution.desktop[7178]: (evolution:7178): GLib-GObject-CRITICAL **: g_closure_unref: assertion 'closure->ref_count > 0' failed
Dec 17 02:17:53 impala evolution.desktop[7178]: (evolution:7178): GLib-GObject-CRITICAL **: g_closure_unref: assertion 'closure->ref_count > 0' failed
Dec 17 02:18:00 impala gnome-session[23750]: Fensterverwalter-Warnung:last_focus_time (65674830) is greater than comparison timestamp (65674829).  This most likely represents a buggy client sending inaccurate timestamps in messages such as _NET_ACTIVE_WINDOW.  Trying to work around...
Dec 17 02:18:05 impala evolution.desktop[7178]: (evolution:7178): GLib-GObject-CRITICAL **: g_closure_unref: assertion 'closure->ref_count > 0' failed
Dec 17 02:18:20 impala evolution.desktop[7178]: (evolution:7178): GLib-GObject-CRITICAL **: g_closure_unref: assertion 'closure->ref_count > 0' failed
--
Dec 17 08:06:31 impala automount[18969]: expire_cleanup: sigchld: exp 140036542461696 finished, switching from 2 to 1
Dec 17 08:06:31 impala automount[18969]: st_ready: st_ready(): state = 2 path /net
Dec 17 08:06:57 impala gnome-session[23750]: Fensterverwalter-Warnung:last_focus_time (86611330) is greater than comparison timestamp (86611326).  This most likely represents a buggy client sending inaccurate timestamps in messages such as _NET_ACTIVE_WINDOW.  Trying to work around...
Dec 17 08:07:32 impala automount[18969]: st_expire: state 1 path /misc
Dec 17 08:07:32 impala automount[18969]: expire_proc: exp_proc = 140036542461696 path /misc



root@impala:/root(17)# dmesg | grep -U3 nouveau
[    1.239052] ACPI: Power Button [PWRF]
[    1.239366] ACPI: processor limited to max C-state 1
[    1.239789] [drm] Initialized drm 1.1.0 20060810
[    1.240275] nouveau  [  DEVICE][0000:01:00.0] BOOT0  : 0x0c1080a1
[    1.240553] nouveau  [  DEVICE][0000:01:00.0] Chipset: GF108 (NVC1)
[    1.240811] nouveau  [  DEVICE][0000:01:00.0] Family : NVC0
[    1.241078] nouveau  [   VBIOS][0000:01:00.0] checking PRAMIN for image...
[    1.304005] nouveau  [   VBIOS][0000:01:00.0] ... appears to be valid
[    1.304268] nouveau  [   VBIOS][0000:01:00.0] using image from PRAMIN
[    1.304672] nouveau  [   VBIOS][0000:01:00.0] BIT signature found
[    1.304935] nouveau  [   VBIOS][0000:01:00.0] version 70.08.ae.00.02
[    1.305507] nouveau 0000:01:00.0: irq 29 for MSI/MSI-X
[    1.305515] nouveau  [     PMC][0000:01:00.0] MSI interrupts enabled
[    1.305806] nouveau W[     PFB][0000:01:00.0][0x00000000][ffff8802242f8800] reclocking of this ram type unsupported
[    1.306712] nouveau  [     PFB][0000:01:00.0] RAM type: DDR3
[    1.307193] nouveau  [     PFB][0000:01:00.0] RAM size: 1024 MiB
[    1.307698] nouveau  [     PFB][0000:01:00.0]    ZCOMP: 0 tags
[    1.309037] nouveau  [    VOLT][0000:01:00.0] GPU voltage: 900000uv
[    1.949719] nouveau  [  PTHERM][0000:01:00.0] FAN control: PWM
[    1.950222] nouveau  [  PTHERM][0000:01:00.0] fan management: automatic
[    1.950759] nouveau  [  PTHERM][0000:01:00.0] internal sensor: yes
[    1.971324] nouveau  [     CLK][0000:01:00.0] 03: core 50 MHz memory 324 MHz 
[    1.971826] nouveau  [     CLK][0000:01:00.0] 07: core 405 MHz memory 324 MHz 
[    1.972726] nouveau  [     CLK][0000:01:00.0] 0f: core 700 MHz memory 650 MHz 
[    1.973781] nouveau  [     CLK][0000:01:00.0] --: core 405 MHz memory 324 MHz 
[    1.976565] [TTM] Zone  kernel: Available graphics memory: 4081546 kiB
[    1.977065] [TTM] Zone   dma32: Available graphics memory: 2097152 kiB
[    1.977547] [TTM] Initializing pool allocator
[    1.978035] [TTM] Initializing DMA pool allocator
[    1.978523] nouveau  [     DRM] VRAM: 1024 MiB
[    1.979007] nouveau  [     DRM] GART: 1048576 MiB
[    1.979488] nouveau  [     DRM] TMDS table version 2.0
[    1.979974] nouveau  [     DRM] DCB version 4.0
[    1.980453] nouveau  [     DRM] DCB outp 00: 01000302 00020030
[    1.980941] nouveau  [     DRM] DCB outp 01: 02000300 00000000
[    1.981422] nouveau  [     DRM] DCB outp 02: 08011392 00020020
[    1.981909] nouveau  [     DRM] DCB outp 03: 04022310 00000000
[    1.982390] nouveau  [     DRM] DCB conn 00: 00001030
[    1.982941] nouveau  [     DRM] DCB conn 01: 00002161
[    1.983486] nouveau  [     DRM] DCB conn 02: 00000200
[    1.984725] [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[    1.985208] [drm] Driver supports precise vblank timestamp query.
[    1.988774] nouveau  [     DRM] MM: using COPY0 for buffer copies
[    2.096909] nouveau  [     DRM] allocated 2560x1600 fb: 0x60000, bo ffff8802218b2c00
[    2.097922] fbcon: nouveaufb (fb0) is primary device
[    2.184846] Console: switching to colour frame buffer device 320x100
[    2.189785] nouveau 0000:01:00.0: fb0: nouveaufb frame buffer device
[    2.189800] nouveau 0000:01:00.0: registered panic notifier
[    2.193905] [drm] Initialized nouveau 1.2.1 20120801 for 0000:01:00.0 on minor 0
[    2.195047] brd: module loaded
[    2.195632] loop: module loaded
[    2.195646] Loading iSCSI transport class v2.0-870.
Comment 5 Juergen Rose 2014-12-17 23:58:09 UTC
It happens also with Gnome-Classic;

root@impala:/root(5)# journalctl -xb | grep -U3 "uggy\|focus"
Dec 17 23:22:13 impala kernel: audit: type=1327 audit(1418854933.775:11): proctitle="(ostnamed)"
Dec 17 23:22:13 impala (ostnamed)[29761]: <audit-1300> arch=c000003e syscall=272 success=yes exit=0 a0=40000000 a1=7fff32fd78e0 a2=fffffffffffffff5 a3=22 items=0 ppid=1 pid=29761 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="(ostnamed)" exe="/usr/lib64/systemd/systemd" subj=kernel key=(null)
Dec 17 23:22:13 impala unknown: <audit-1327> proctitle="(ostnamed)"
Dec 17 23:22:13 impala gnome-session[28640]: Fensterverwalter-Warnung:Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x2200010 (qthelp-4.8)
Dec 17 23:22:13 impala gnome-session[28640]: Fensterverwalter-Warnung:meta_window_activate called by a pager with a 0 timestamp; the pager needs to be fixed.
Dec 17 23:22:13 impala dbus[17833]: [system] Successfully activated service 'org.freedesktop.hostname1'
Dec 17 23:22:13 impala systemd[1]: Started Hostname Service.
--
...
Dec 18 00:30:34 impala gnome-session[28640]: Could not connect to unix socket.[Errno 2] Datei oder Verzeichnis nicht gefunden
Dec 18 00:30:34 impala gnome-session[28640]: XXXX /run/user/1203/ownCloud/socket <=> /ownCloud/socket
Dec 18 00:30:34 impala gnome-session[28640]: Socket File: /run/user/1203/ownCloud/socket
Dec 18 00:31:00 impala gnome-session[28640]: Could not connect to unix sFensterverwalter-Warnung:last_focus_time (19391854) is greater than comparison timestamp (19391850).  This most likely represents a buggy client sending inaccurate timestamps in messages such as _NET_ACTIVE_WINDOW.  Trying to work around...
Dec 18 00:31:00 impala gnome-session[28640]: Fensterverwalter-Warnung:Log level 16: STACK_OP_RAISE_ABOVE: sibling window 0x2c1a1fe not in stack
Comment 6 Pacho Ramos gentoo-dev 2014-12-18 11:11:49 UTC
I don't know where could be the problem exactly. Once Gnome 3.14 is unmasked I would try with that and, if still occurring, report to gnome upstream to see if they know how to deal with this :|

But until then, I don't know what to suggest you :(
Comment 7 Pacho Ramos gentoo-dev 2015-07-09 09:43:42 UTC
Please also try with gnome 3.16